// eCommerce Response Codes (ETG [e4 Transaction Gateway] Codes)
// https://firstdata.zendesk.com/entries/451980-ecommerce-response-codes-etg-codes
// https://firstdata.zendesk.com/entries/451980-eCommerce-Response-Codes-ETG-e4-Transaction-Gateway-Codes-
module.exports = {

    // Custom
    '-1' : 'Invalid signature received',
    '-2' : 'Date header is invalid',
    '-3' : 'Date header is bad format (ISO8601 expected)',
    '-4' : 'Too many failures. Try again in 15 minutes.',
    '-5' : 'Date header is missing',
    '-6' : 'Digest header \'X-GGE4-CONTENT-SHA1\' is missing',
    '-7' : 'Body Digest doesn\'t match header \'X-GGE4-CONTENT-SHA1\'.',
    '-8' : 'Unauthorized Request. Bad or missing credentials.',
    '-9' : 'No credentials found for key',
    '-10': 'Bad Authorization header',

 // Digest header \'X-GGE4-CONTENT-SHA1\' is missing.
 // Date header missing
//'Body Digest doesn\'t match header \'X-GGE4-CONTENT-SHA1\'.'
//Unauthorized Request. Bad or missing credentials. /// triggered by bad content type
// 'No credentials found for key \'odd150830fsdfdfdfsa\'.' // odd only triggered when front of key is off.
// Bad Authorization header


    // This response code indicates that the transaction was processed normally.
    // Please refer to the bank and approval response information for bank approval
    // Status.
    '00' : 'Transaction Normal', // 201

    // UNDOCUMENTED!!!!!

    '01' : 'Unable to Exchange Key Info', // 201
    '09' : 'Transaction Reversed', // 201
    '13' : 'Required Field ID Missing', // 500
    '29' : 'Manual Card Entry Only', // 201
    '33' : 'Merchant Volume Exceeded', // 201
    '34' : 'Card Volume Exceeded', // 201
    '35' : 'Maximum Sale Exceeded', // 201
    '36' : 'Below Minimum Sale', // 201
    '38' : 'Transaction Count Exceeded (Card)', // 201
    '39' : 'Transaction Count Exceeded (IP Address)', // 201
    '45' : 'Transaction Code Blocked', // 201
    '46' : 'Invalid Batch Number', // 201
    '47' : 'Non-Verified 3-D Secure Tx', // 201
    '48' : 'Invalid SST Data', // 201
    '51' : 'Data Direct Transaction Test', // 201
    '59' : 'Unable to Update Database', // 201
    '65' : 'Transaction Voided by Client', // 400
    '66' : 'Call Auth. Centre', // 400
    '67' : 'Transaction Option Not Supported', // 400
    '69' : 'Invalid Transaction Tag', // 400
    '71' : 'Transaction Popped from Queue', // 500
    '74' : 'Transaction Returned to Client', // 500
    '75' : 'Transaction Acknowledged', // 500
    '98' : 'Record Sent to Bank', // 500
    '99' : 'Record Read from File', // 500

    // The following response codes indicate invalid data in the transaction.
    // In these cases, the data should be changed before attempting to resend
    // the transaction. These response codes are generated by the remote
    // Plug-In. They will not appear on the First Data Global Gateway e4
    // website.

    '08' : 'CVV2/CID/CVC2 Data not verified', // CVV2/CID/CVC2 Data not Verified // 201
    '22' : 'Invalid Credit Card Number', // 400
    '25' : 'Invalid Expiry Date', // 400
    '26' : 'Invalid Amount', // 400
    '27' : 'Invalid Card Holder', // 400
    '28' : 'Invalid Authorization No', // Invalid Authorization Number // 400
    '31' : 'Invalid Verification String', // 400
    '32' : 'Invalid Transaction Code', // 400
    '57' : 'Invalid Reference No', // Invalid Reference Number // 400
    '58' : 'Invalid AVS String, The length of the AVS String has exceeded the max. 40 characters', // Invalid AVS String // 400
    '60' : 'Invalid Customer Reference Number', // Invalid Customer Reference No // 201
    '63' : 'Invalid Duplicate', // 400
    '64' : 'Invalid Refund', // 400
    '68' : 'Restricted Card Number',
    '72' : 'Data within the transaction is incorrect', // Transaction Sent to Bank // 500
    '93' : 'Invalid authorization number entered on a pre-auth completion', // Violation, cannot complete // 201

    // The following response codes indicate a problem with the merchant
    // configuration at the financial institution. Please contact First Data
    // for further investigation.

    '11' : 'Invalid Sequence No', // Invalid Sequence Number // 500
    '12' : 'Message Timed-out at Host', // 500
    '21' : 'BCE Function Error', // 500
    '23' : 'Invalid Response from Vital', // 500
    '30' : 'Invalid Date From Host', // 500

    // The following response codes indicate a problem with the Global Gateway
    // e4 host or an error in the merchant configuration. Please contact First
    // Data for further investigation.

    '10' : 'Invalid Transaction Description', // 500
    '14' : 'Invalid Gateway ID', // 500
    '15' : 'Invalid Transaction Number', // 500
    '16' : 'Connection Inactive', // 500
    '17' : 'Unmatched Transaction', // 500
    '18' : 'Invalid Reversal Response', // 500
    '19' : 'Unable to Send Socket Transaction', // Unable to Process Transaction // 500
    '20' : 'Unable to Write Transaction to File', // 500
    '24' : 'Unable to Void Transaction', // 500
    '37' : 'Payment Type Not Supported By Merchant', // Card type not accepted by merchant // 201
    '40' : 'Unable to Connect', // 500
    '41' : 'Unable to Send Logon', // 500
    '42' : 'Unable to Send Trans', // Unable to Send Transaction // 500
    '43' : 'Invalid Logon', // 500
    '52' : 'Terminal not Activated', // 500
    '53' : 'Terminal/Gateway Mismatch', // 500
    '54' : 'Invalid Processing Center', // Invalid Processing Centre // 500
    '55' : 'No Processors Available', // 500
    '56' : 'Database Unavailable', // 500
    '61' : 'Socket Error', // Internal Network Error // 500
    '62' : 'Host not Ready', // Host Not Ready // 500

    // The following response codes indicate the final state of a transaction.
    // In the event of one of these codes being returned, please contact First
    // Data for further investigation.

    '44' : 'Address not Verified', // 201
    '70' : 'Transaction Placed in Queue', // 500
    '73' : 'Transaction Received from Bank', // 500
    '76' : 'Reversal Pending', // 500
    '77' : 'Reversal Complete', // 500
    '79' : 'Reversal Sent to Bank', // 500

    // The following response codes indicate the final state of a transaction
    // due to custom Fraud Filters created by the Merchant.
    'F1' : 'Address check failed - Fraud suspected',
    'F2' : 'Card/Check Number check failed - Fraud suspeted',
    'F3' : 'Country Check Failed - Fraud suspected',
    'F4' : 'Customer Reference Check Failed - Fraud suspected',
    'F5' : 'Email Address checked failed - Fraud suspected',
    'F6' : 'IP Address check failed - Fraud suspected'
};
