// https://firstdata.zendesk.com/entries/23393247-Units-of-Measure

module.exports = {
  ACR: "Acre (4840 yd2)",
  ASM: "Alcoholic strength by mass",
  ASV: "Alcoholic strength by volume",
  AMP: "Ampere*",
  AMH: "Ampere-hour (3,6 kC)*",
  ARE: "Are (100 m2)",
  BAR: "Bar*",
  BLL: "Barrel",
  BLL: "Barrel (petroleum) (158,987 dm3)",
  BQL: "Becquerel*",
  BIL: "Billion EUR (trillion US)",
  MLD: "Billion US",
  MLD: "Billions US (milliard)",
  BFT: "Board foot",
  BX: "Box",
  BHP: "Brake horse power (245,7 watts)",
  BTU: "British thermal unit (1,055 kilojoules)",
  BUA: "Bushel (35,2391 dm3)",
  BUI: "Bushel (36,36874 dm3)",
  CDL: "Candela*",
  CCT: "Carrying capacity in metric tons",
  CS: "Case",
  CNT: "Cental GB (45,359237 kg)",
  CGM: "Centigram*",
  CLT: "Centilitre*",
  CMT: "Centimetre*",
  DTN: "Centner/Quintal Metric (100 kg) (Decitonne)",
  WCD: "Cord (3.63 m3)",
  COU: "Coulomb*",
  DMQ: "Cubic decimetre*",
  FTQ: "Cubic foot",
  INQ: "Cubic inch",
  MTQ: "Cubic metre",
  MQH: "Cubic metre per hour*",
  MQS: "Cubic metre per second*",
  MMQ: "Cubic millimetre*",
  YDQ: "Cubic yard",
  CUR: "Curie",
  DAY: "Day*",
  DEC: "Decade (ten years)",
  DAA: "Decare",
  DLT: "Decilitre*",
  DMT: "Decimetre*",
  FAH: "Degree fahrenheit",
  CEL: "Degrees Celsius",
  DPT: "Displacement tonnage",
  DZN: "Dozen",
  DZP: "Dozen packs",
  DZR: "Dozen pairs",
  DPC: "Dozen pieces",
  DRL: "Dozen rolls",
  DRM: "Drachm GM (3.887935 g)",
  DRI: "Dram GB (1.771745 g)",
  DRA: "Dram US (3.887935 g)",
  BLD: "Dry barrel (115.627 dm3)",
  GLD: "Dry Gallon (4.404884 dm3)",
  PTD: "Dry pint (.55061 dm3)",
  QTD: "Dry quart (1.101221 dm3)",
  EA: "Each",
  EAC: "Each",
  FAR: "Farad*",
  OZI: "Fluid ounce (28.413 cm3)",
  OZA: "Fluid ounce (29.5735 cm3)",
  FOT: "Foot (.3048 m)",
  GLI: "Gallon (4.546092 dm3)",
  GBQ: "Gigabequerel*",
  GWH: "Gigawatt-hour (1 million kw/h)*",
  GII: "Gill (.142065 dm3)",
  GIA: "Gill (11.8294 cm3)",
  GRN: "Grain GB, US (64.798910 mg)",
  GFI: "Gram of fissile isotopes",
  GRM: "Gram*",
  GGR: "Great gross (12 gross)",
  GRO: "Gross",
  GRT: "Gross (register) ton",
  SAN: "Half year (six months)",
  HAR: "Hectare",
  HBA: "Hectobar*",
  HGM: "Hectogram*",
  DTH: "Hectokilogram*",
  HPA: "Hectolitre of pure alcohol",
  HLT: "Hectolitre*",
  HMT: "Hectometre*",
  HTZ: "Hertz*",
  HUR: "Hour*",
  CEN: "Hundred",
  BHX: "Hundred boxes",
  HIU: "Hundred Int‘l Units",
  CLF: "Hundred leaves",
  CNP: "Hundred packs",
  CWA: "Hundred weight US (45.3592 kg)",
  INH: "Inch (25.4 mm)",
  ITM: "Item",
  JOU: "Joule*",
  KEL: "Kelvin*",
  KBA: "Kilobar*",
  KJO: "Kilogoule*",
  KPH: "Kilogram of caustic potash (kilogram of potassium hydroxide)",
  KSH: "Kilogram of caustic soda",
  KNS: "Kilogram of named substance",
  KNI: "Kilogram of nitrogen",
  KPP: "Kilogram of phosphoric anhydride (kilogram of phosphoric pentoxide)",
  KPO: "Kilogram of potassium oxide",
  KSD: "Kilogram of substance 90% dry",
  KUR: "Kilogram of uranium",
  KMQ: "Kilogram per cubic meter",
  KGS: "Kilogram per second*",
  KGM: "Kilogram*",
  KHZ: "Kilohertz*",
  KMH: "Kilometre per hour*",
  KMT: "Kilometre*",
  KPA: "Kilopascal*",
  KTN: "Kilotonne",
  KVR: "Kilovar",
  KVT: "Kilovolt*",
  KVA: "Kilovolt-ampere*",
  KWT: "Kilowatt*",
  KWH: "Kilowatt-hour*",
  KNT: "Knot (1 nautical mile per hour)",
  LEF: "Leaf",
  GLL: "Liquid gallon (3.78541 dm3)",
  PTL: "Liquid pint (.473176 dm3)",
  QTL: "Liquid quart (.946353 dm3)",
  LTR: "Litre (1dm3)*",
  LPA: "Litre of pure alcohol",
  LTN: "Long ton GB, US (1.0160469 t)",
  LUM: "Lumen*",
  LUX: "Lux",
  MHZ: "Megahertz*",
  MAL: "Megalitre*",
  MAM: "Megametre*",
  MPA: "Megapascal*",
  MVA: "Megavolt-ampere (1000 KVA)*",
  MAW: "Megawatt*",
  MWH: "Megawatt-hour (1000 kw/h)*",
  MSK: "Metre per second squared*",
  MTS: "Metre per second*",
  MTR: "Metre*",
  CTM: "Metric Carat (200 MG = 2.10-4kg)",
  TNE: "Metric ton (1000 kg) (tonne (1000 kg))",
  MBR: "Millibar*",
  MCU: "Millicurie",
  MGM: "Milligram*",
  MLT: "Millilitre*",
  MMT: "Millimetre*",
  MIO: "Million",
  HMQ: "Million cubic metres*",
  MIU: "Million international units",
  MIN: "Minute*",
  MON: "Month",
  NMI: "Nautical mile (1852 m)",
  NTT: "Net (register) ton",
  NEW: "Newton*",
  NMB: "Number",
  NAR: "Number of articles",
  NBB: "Number of bobbins",
  NCL: "Number of cells*",
  NIU: "Number of international units",
  NMP: "Number of packs",
  NMR: "Number of pairs",
  NPL: "Number of parcels",
  NPT: "Number of parts",
  NRL: "Number of rolls",
  OHM: "Ohm*",
  ONZ: "Ounce GB, US (28.349523 g)",
  APZ: "Ounce GB, US (31.10348 g) Troy Ounce",
  PK: "Package",
  PAL: "Pascal*",
  DWT: "Pennyweight GB, US (1.555174 g)",
  PCB: "Piece",
  PCE: "Piece",
  Psc: "Piece",
  PTI: "Pint (.568262 dm3)",
  LBR: "Pound GB, US (.45359237 kg)",
  LBS: "Pounds",
  PGL: "Proof gallon",
  QTI: "Quart (1.136523 dm3)",
  QAN: "Quarter (of a year)",
  QTR: "Quarter, GB (12.700586 kg)",
  RPM: "Revolution per minute*",
  RPS: "Revolution per second*",
  SCO: "Score",
  SCR: "Scruple GB, US (1.295982 g)",
  SEC: "Second*",
  SET: "Set",
  SHT: "Shipping ton",
  SST: "Short standard (7200 matches)",
  STN: "Short ton GB, US (.90718474 t)",
  SIE: "Siemens*",
  CMK: "Square centimetre*",
  DMK: "Square decimetre*",
  FTK: "Square foot",
  INK: "Square inch",
  KMK: "Square kilometre*",
  MTK: "Square metre*",
  MIK: "Square Mile",
  MMK: "Square millimetre*",
  YDK: "Square yard",
  WSD: "Standard",
  ATM: "Standard atmosphere (101325 Pa)",
  SMI: "Statute mile (1609.344 m)",
  STI: "Stone GB (6.350293 kg)",
  ATT: "Technical atmosphere (98066.5 Pa)",
  DAD: "Ten days",
  TPR: "Ten pairs",
  MIL: "Thousand",
  TAH: "Thousand ampere-hour*",
  MBF: "Thousand board-feet (2.36 m3)",
  TQD: "Thousand cubic metres per day*",
  MBE: "Thousand standard brick equivalent",
  TSH: "Ton of steam per hour",
  TSD: "Tonne of substance 90% dry",
  TRL: "Trillion EUR",
  LBT: "Troy pound, US (373.242 g)",
  ST: "Unknown unit of measure",
  VLT: "Volt*",
  WTT: "Watt*",
  WHR: "Watt-hour*",
  WEB: "Weber",
  WEE: "Week",
  YRD: "Yard (.9144 m)",
  ANN: "Year"
}